Subject: 28.2; sql interactive mode prints output of executed query where the pointer is instead of the bottom of the buffer

From: José Júnior <[email-masked]>
Date: Fri, 20 Dec 2024 13:47:08 -0300

Hi, after updating to Emacs 28 I noticed that when I execute a command in a sql-mode buffer connected to a sql-interactive-mode buffer, it prints the output where the pointer is at in the SQLi buffer, and if the pointer is not at the end, it messes up what was already printed, so I have to keep track where the pointer is before executing a query. I don´t remember seeing this behavior in Emacs 27, and it looks like a bug to me. I don't see how printing the output of a query in the middle of another output could be useful.

To reproduce:

1. Open sql-mode buffer conntected to a SQLi buffer

2. Run a sql query

3. Move the pointer to a line that has the previous output printed

4. Run another sql query